LinearScaleFactor 属性 (ActiveX)
指定线性尺寸测量的全局比例因子。 支持的平台:仅限 Windows 签名VBA: object.LinearScaleFactor
属性值只读:不 类型:双 大于 0.0 的实数。 言论此属性的初始值为 1.0000。 当指定负值时,该因子仅应用于图纸空间。要应用的纸张空间系数是此属性的绝对值。LinearScaleFactor 注意:此属性将覆盖给定维度的 DIMLFAC 系统变量的值。
例子VBA: Sub Example_LinearScaleFactor() ' This example creates an aligned dimension in model space and ' turns on the tolerance display for the new dimension. The LinearScaleFactor ' of the tolerance is then read and modified. ' ' * Note the change in the text of the dimension after the modification. Dim dimObj As AcadDimAligned Dim newText As AcadTextStyle Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim CurrentScale As Integer ' Define the dimension point1(0) = 1: point1(1) = 10: point1(2) = 0 point2(0) = 10: point2(1) = 10: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Turn on the tolerance display dimObj.ToleranceDisplay = acTolSymmetrical ThisDrawing.Application.ZoomAll ' Display current scale factor MsgBox dimObj.LinearScaleFactor ' Change current scale factor dimObj.LinearScaleFactor = 10# ' Multiply by ten ThisDrawing.Regen acAllViewports ' Display new scale factor MsgBox dimObj.LinearScaleFactor End Sub 可视化 LISP: (vl-load-com) (defun c:Example_LinearScaleFactor() ;; This example creates an aligned dimension in model space and ;; turns on the tolerance display for the new dimension. The LinearScaleFactor ;; of the tolerance is then read and modified. ;; ;; * Note the change in the text of the dimension after the modification. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 1 10 0) point2 (vlax-3d-point 10 10 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Turn on the tolerance display (vla-put-ToleranceDisplay dimObj acTolSymmetrical) (vla-ZoomAll acadObj) ;; Display current scale factor (alert (rtos (vla-get-LinearScaleFactor dimObj) 2)) ;; Change current scale factor (vla-put-LinearScaleFactor dimObj 10) ;; Multiply by ten (vla-Regen doc acAllViewports) ;; Display new scale factor (alert (rtos (vla-get-LinearScaleFactor dimObj) 2)) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 12:43
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.